package org.jboss.labs;

import java.util.Date;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.EJBException;
import javax.ejb.MessageDriven;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.jboss.logging.Logger;


public class TaskEventHandlerMDB implements MessageDrivenBean, MessageListener {


	private static final Logger log = Logger.getLogger(TaskEventHandlerMDB.class);
	private MessageDrivenContext context;
	
	
    public TaskEventHandlerMDB() {
    }
	
	/**
     * @see MessageListener#onMessage(Message)
     */
    public void onMessage(Message message) {
    	try {
			log.info("[ msg ]  "+ message.getJMSMessageID() + " received at " + new Date() );
			if(message instanceof TextMessage){
				TextMessage textMessage = (TextMessage) message;
				if(textMessage.getText().equals("NPE")){
					throw new NullPointerException();
				}
			}
		} catch (JMSException e) {
			e.printStackTrace();
		}
    }

	@Override
	public void ejbRemove() throws EJBException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void setMessageDrivenContext(MessageDrivenContext context) {
		log.info("setMessageDrivenContext called");
		this.context = context;
	}
}
