package org.jboss.labs;

import java.util.Date;

import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.jboss.logging.Logger;

/**
 * Message-Driven Bean implementation class for: TwoMDB
 */

public class TwoMDB implements MessageDrivenBean, MessageListener {

    
	private static final Logger log = Logger.getLogger(TwoMDB.class);
	private MessageDrivenContext context;

    public TwoMDB() {
        // TODO Auto-generated constructor stub
    }
	
	/**
     * @see MessageListener#onMessage(Message)
     */
    public void onMessage(Message message) {
        try {
			log.info("[ msg ]  "+ message.getJMSMessageID() + " received at " + new Date() );
			if(message instanceof TextMessage){
				TextMessage textMessage = (TextMessage) message;
				if(textMessage.getText().equals("NPE")){
					throw new NullPointerException();
				}
			}
		} catch (JMSException e) {
			e.printStackTrace();
		}
        
    }

    public void ejbCreate() {
		log.info(" ejbCreate called" + new Date());
	}

	public void ejbRemove() {
		log.info(" ejbRemove called" + new Date());
	}

	public void setMessageDrivenContext(MessageDrivenContext context) {
		log.info("setMessageDrivenContext called");
		this.context = context;
	}


}